<ion-header>
  <ion-toolbar color="tertiary">
    <ion-title>Chat instantané</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content id="msg-content" style="height: 251px;">
  
		<div id="smileyPickerContent"
		style="position: fixed;
			bottom: 58px;
			left: 52px;
			z-index: 400;"
		*ngIf="smileyPickerIsDisplay">

			<app-smiley-picker></app-smiley-picker>
		</div>

	<ion-list lines="none" style="transform: translateY(-39px); padding-top: 39px;">
		    
    <ion-item *ngFor="let message of messages">
      <span [ngStyle]="{'color':message.color}">{{message.author}}: </span> {{message.content}}
		</ion-item>
    
	</ion-list>
  
	<span style="position: fixed; bottom: 111px; right: 21px;">{{users}} utilisateurs connectés</span>

	<input style="position: fixed; bottom: 326px; right: 21px; width: 40px;" [colorPicker]="'#11ff11'" [cpPosition]="'left'" [(colorPicker)]="color" [style.background]="color"/>
</ion-content>

<ion-footer>

	<ion-toolbar>

		<ion-buttons slot="start">
				<ion-button (click)="smileyPickerIsDisplay = smileyPickerIsDisplay ? false : true" slot="start">
					<ion-icon slot="icon-only" name="happy"></ion-icon>
				</ion-button>
		</ion-buttons>


		<ion-textarea spellcheck="true" autoComplete="true" autocorrect="true" rows="1" class="chat-input" [(ngModel)]="message" placeholder="type message..." (keyup.enter)="addChat()">
		</ion-textarea>
		<ion-buttons slot="primary">
			<!-- <ion-button [(colorPicker)]="color" [style.background]="color">
				<ion-icon slot="icon-only" name="send"></ion-icon>
			</ion-button> -->
			<ion-button (click)="addChat()" lass="send-chat-button">
				 <ion-icon slot="icon-only" name="send"></ion-icon>
	    </ion-button>
		</ion-buttons>

	</ion-toolbar>

</ion-footer>